Skip to main content
GET
cURL

Query Parameters

tx_hash
string
required

Hex encoded hash of the transaction to query for

chain_id
string
required

Chain ID of the transaction

Response

The status of the transaction and any subsequent ibc or Axelar transfers.

state
enum<string>
required

The overall state reflecting the end-to-end status of all transfers initiated by the original transaction.

Available options:
STATE_SUBMITTED,
STATE_PENDING,
STATE_ABANDONED,
STATE_COMPLETED_SUCCESS,
STATE_COMPLETED_ERROR,
STATE_PENDING_ERROR
transfer_sequence
object[]
required
deprecated

DEPRECATED. This field provides a flat list of all transfer events. For a more structured and detailed status of each transfer leg, including its individual events, please use the 'transfers' array instead. This field may be removed in a future version.

transfers
object[]

Transfer status for all transfers initiated by the transaction in the order they were initiated.

next_blocking_transfer
object | null

Details about the next transfer in the sequence that is preventing further progress, if any.

transfer_asset_release
object

Indicates location and denom of transfer asset release.

error
object | null

Details about any error encountered during the transaction or its subsequent transfers.

status
string

A high-level status indicator for the transaction's completion state.

Example:

"STATE_COMPLETED"